be.ehealth.businessconnector.therlink.domain.requests

## Class GetTherapeuticLinkRequest

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType
  - - be.ehealth.businessconnector.therlink.domain.requests.GetTherapeuticLinkRequest

- All Implemented Interfaces:
    Serializable

      public class GetTherapeuticLinkRequest
      extends TherapeuticLinkRequestType

  A GetTherapeuticLinkRequest class
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTherapeuticLinkRequest(org.joda.time.DateTime date, String id, Author author, TherapeuticLink link, int maxRows, Proof... proofs)`
    `GetTherapeuticLinkRequest(String id, Date date, Author author, TherapeuticLink link, int maxRows, Proof... proofs)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxRows()`
    `void` | `setMaxRows(int maxRows)`

    - ### Methods inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType

      `equals, getAuthor, getDate, getDateTime, getID, getLink, getProofs, hashCode, setLink, setProofs, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTherapeuticLinkRequest

          @Deprecated
          public GetTherapeuticLinkRequest(String id,
                                                        Date date,
                                                        Author author,
                                                        TherapeuticLink link,
                                                        int maxRows,
                                                        Proof... proofs)

      Deprecated.
      Parameters:
        `id` -
        `date` -
        `author` -
        `link` -
        `proofs` -

    - #### GetTherapeuticLinkRequest

          public GetTherapeuticLinkRequest(org.joda.time.DateTime date,
                                           String id,
                                           Author author,
                                           TherapeuticLink link,
                                           int maxRows,
                                           Proof... proofs)

      Parameters:
        `id` -
        `date` -
        `author` -
        `link` -
        `proofs` -

  - ### Method Detail

    - #### getMaxRows

          public int getMaxRows()

      Returns:
        the maxRows

    - #### setMaxRows

          public void setMaxRows(int maxRows)

      Parameters:
        `maxRows` - the maxRows to set

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.